QScintilla: QsciLexerRuby Class Reference

QScintilla 2.14.1

Public Types | Public Member Functions | Protected Member Functions | List of all members
QsciLexerRuby Class Reference

`#include <qscilexerruby.h>`

Inherits QsciLexer.

## Public Types
enum | { Default = 0, Error = 1, Comment = 2, POD = 3, Number = 4, Keyword = 5, DoubleQuotedString = 6, SingleQuotedString = 7, ClassName = 8, FunctionMethodName = 9, Operator = 10, Identifier = 11, Regex = 12, Global = 13, Symbol = 14, ModuleName = 15, InstanceVariable = 16, ClassVariable = 17, Backticks = 18, DataSection = 19, HereDocumentDelimiter = 20, HereDocument = 21, PercentStringq = 24, PercentStringQ = 25, PercentStringx = 26, PercentStringr = 27, PercentStringw = 28, DemotedKeyword = 29, Stdin = 30, Stdout = 31, Stderr = 40 }

## Public Member Functions
| QsciLexerRuby (QObject *parent=0)
virtual | ~QsciLexerRuby ()
const char * | language () const
const char * | lexer () const
const char * | blockEnd (int *style=0) const
const char * | blockStart (int *style=0) const
const char * | blockStartKeyword (int *style=0) const
int | braceStyle () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
void | setFoldComments (bool fold)
bool | foldComments () const
void | setFoldCompact (bool fold)
bool | foldCompact () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual int | blockLookback () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerRuby class encapsulates the Scintilla Ruby lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Ruby lexer.

Enumerator
Default | The default.
Error | An error.
Comment | A comment.
POD | A POD.
Number | A number.
Keyword | A keyword.
DoubleQuotedString | A double-quoted string.
SingleQuotedString | A single-quoted string.
ClassName | The name of a class.
FunctionMethodName | The name of a function or method.
Operator | An operator.
Identifier | An identifier.
Regex | A regular expression.
Global | A global.
Symbol | A symbol.
ModuleName | The name of a module.
InstanceVariable | An instance variable.
ClassVariable | A class variable.
Backticks | Backticks.
DataSection | A data section.
HereDocumentDelimiter | A here document delimiter.
HereDocument | A here document.
PercentStringq | A q string.
PercentStringQ | A Q string.
PercentStringx | A x string.
PercentStringr | A r string.
PercentStringw | A w string.
DemotedKeyword | A demoted keyword.
Stdin | stdin.
Stdout | stdout.
Stderr | stderr.

## Constructor & Destructor Documentation

## ◆ QsciLexerRuby()

QsciLexerRuby::QsciLexerRuby | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerRuby with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerRuby::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## ◆ blockEnd()

const char* QsciLexerRuby::blockEnd | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of words or characters in a particular style that define the end of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ blockStart()

const char* QsciLexerRuby::blockStart | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of words or characters in a particular style that define the start of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ blockStartKeyword()

const char* QsciLexerRuby::blockStartKeyword | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of keywords in a particular style that define the start of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ defaultColor()

QColor QsciLexerRuby::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultpaper()

Reimplemented from QsciLexer.

## ◆ defaultPaper()

QColor QsciLexerRuby::defaultPaper | ( | int | style | ) | const
| virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerRuby::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## ◆ description()

QString QsciLexerRuby::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## ◆ refreshProperties()

void QsciLexerRuby::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## ◆ setFoldComments()

void QsciLexerRuby::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## ◆ foldComments()

bool QsciLexerRuby::foldComments | ( |  | ) | const
| inline

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## ◆ setFoldCompact()

void QsciLexerRuby::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## ◆ foldCompact()

bool QsciLexerRuby::foldCompact | ( |  | ) | const
| inline

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## ◆ readProperties()

bool QsciLexerRuby::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protectedvirtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## ◆ writeProperties()

bool QsciLexerRuby::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protectedvirtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.